Package net.snowflake.client.core

## Class HttpExecutingContext

- java.lang.Object
- - net.snowflake.client.core.HttpExecutingContext

    @SnowflakeJdbcInternalApi
    public class HttpExecutingContext
    extends Object

### Constructor Summary

Constructors
`HttpExecutingContext​(String requestIdStr, String requestInfoScrubbed)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `elapsedTimeExceeded()`
`long` `getAuthTimeout()`
`long` `getAuthTimeoutInMilliseconds()`
`DecorrelatedJitterBackoff` `getBackoff()`
`long` `getBackoffInMillis()`
`String` `getBreakRetryEventName()`
`String` `getBreakRetryReason()`
`AtomicBoolean` `getCanceling()`
`long` `getElapsedMilliForTransientIssues()`
`int` `getInjectSocketTimeout()`
`String` `getLastStatusCodeForRetry()`
`long` `getMaxBackoffInMilli()`
`int` `getMaxRetries()`
`long` `getMinBackoffInMillis()`
`int` `getOrigSocketTimeout()`
`String` `getRequestId()`
`String` `getRequestInfoScrubbed()`
`int` `getRetryCount()`
`long` `getRetryTimeout()`
`long` `getRetryTimeoutInMilliseconds()`
`long` `getStartTime()`
`long` `getStartTimePerRequest()`
`void` `increaseElapsedMilliForTransientIssues​(long elapsedMilliForLastCall)`
`void` `incrementRetryCount()`
`boolean` `isIncludeRequestGuid()`
`boolean` `isIncludeRetryParameters()`
`int` `isInjectSocketTimeout()`
`boolean` `isLoginRequest()`
`boolean` `isNoRetry()`
`boolean` `isRetryHTTP403()`
`boolean` `isShouldRetry()`
`boolean` `isSkipRetriesBecauseOf200()`
`boolean` `isUnpackResponse()`
`boolean` `isWithoutCookies()`
`boolean` `maxRetriesExceeded()`
`boolean` `moreThanMinRetries()`
`void` `resetRetryCount()`
`void` `setAuthTimeout​(long authTimeout)`
`void` `setBackoff​(DecorrelatedJitterBackoff backoff)`
`void` `setBackoffInMillis​(long backoffInMillis)`
`void` `setBreakRetryEventName​(String breakRetryEventName)`
`void` `setBreakRetryReason​(String breakRetryReason)`
`void` `setCanceling​(AtomicBoolean canceling)`
`void` `setIncludeRequestGuid​(boolean includeRequestGuid)`
`void` `setIncludeRetryParameters​(boolean includeRetryParameters)`
`void` `setInjectSocketTimeout​(int injectSocketTimeout)`
`void` `setLastStatusCodeForRetry​(String lastStatusCodeForRetry)`
`void` `setLoginRequest​(boolean loginRequest)`
`void` `setMaxRetries​(int maxRetries)`
`void` `setNoRetry​(boolean noRetry)`
`void` `setOrigSocketTimeout​(int origSocketTimeout)`
`void` `setRetryCount​(int retryCount)`
`void` `setRetryHTTP403​(boolean retryHTTP403)`
`void` `setRetryTimeout​(long retryTimeout)`
`void` `setShouldRetry​(boolean shouldRetry)`
`void` `setSkipRetriesBecauseOf200​(boolean skipRetriesBecauseOf200)`
`void` `setStartTimePerRequest​(long startTimePerRequest)`
`void` `setUnpackResponse​(boolean unpackResponse)`
`void` `setWithoutCookies​(boolean withoutCookies)`
`boolean` `socketOrConnectTimeoutReached()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### HttpExecutingContext

    public HttpExecutingContext​(String requestIdStr,
                                String requestInfoScrubbed)

### Method Detail

#### getRequestId

    public String getRequestId()

#### getStartTime

    public long getStartTime()

#### getStartTimePerRequest

    public long getStartTimePerRequest()

#### setStartTimePerRequest

    public void setStartTimePerRequest​(long startTimePerRequest)

#### isLoginRequest

    public boolean isLoginRequest()

#### setLoginRequest

    public void setLoginRequest​(boolean loginRequest)

#### getElapsedMilliForTransientIssues

    public long getElapsedMilliForTransientIssues()

#### getRetryTimeoutInMilliseconds

    public long getRetryTimeoutInMilliseconds()

#### getRetryTimeout

    public long getRetryTimeout()

#### setRetryTimeout

    public void setRetryTimeout​(long retryTimeout)

#### getMinBackoffInMillis

    public long getMinBackoffInMillis()

#### getBackoffInMillis

    public long getBackoffInMillis()

#### setBackoffInMillis

    public void setBackoffInMillis​(long backoffInMillis)

#### getMaxBackoffInMilli

    public long getMaxBackoffInMilli()

#### getAuthTimeout

    public long getAuthTimeout()

#### getAuthTimeoutInMilliseconds

    public long getAuthTimeoutInMilliseconds()

#### setAuthTimeout

    public void setAuthTimeout​(long authTimeout)

#### getBackoff

    public DecorrelatedJitterBackoff getBackoff()

#### setBackoff

    public void setBackoff​(DecorrelatedJitterBackoff backoff)

#### getOrigSocketTimeout

    public int getOrigSocketTimeout()

#### setOrigSocketTimeout

    public void setOrigSocketTimeout​(int origSocketTimeout)

#### getBreakRetryReason

    public String getBreakRetryReason()

#### setBreakRetryReason

    public void setBreakRetryReason​(String breakRetryReason)

#### getBreakRetryEventName

    public String getBreakRetryEventName()

#### setBreakRetryEventName

    public void setBreakRetryEventName​(String breakRetryEventName)

#### getLastStatusCodeForRetry

    public String getLastStatusCodeForRetry()

#### setLastStatusCodeForRetry

    public void setLastStatusCodeForRetry​(String lastStatusCodeForRetry)

#### getRetryCount

    public int getRetryCount()

#### setRetryCount

    public void setRetryCount​(int retryCount)

#### resetRetryCount

    public void resetRetryCount()

#### incrementRetryCount

    public void incrementRetryCount()

#### getMaxRetries

    public int getMaxRetries()

#### setMaxRetries

    public void setMaxRetries​(int maxRetries)

#### getRequestInfoScrubbed

    public String getRequestInfoScrubbed()

#### isNoRetry

    public boolean isNoRetry()

#### setNoRetry

    public void setNoRetry​(boolean noRetry)

#### isRetryHTTP403

    public boolean isRetryHTTP403()

#### setRetryHTTP403

    public void setRetryHTTP403​(boolean retryHTTP403)

#### isShouldRetry

    public boolean isShouldRetry()

#### setShouldRetry

    public void setShouldRetry​(boolean shouldRetry)

#### increaseElapsedMilliForTransientIssues

    public void increaseElapsedMilliForTransientIssues​(long elapsedMilliForLastCall)

#### elapsedTimeExceeded

    public boolean elapsedTimeExceeded()

#### moreThanMinRetries

    public boolean moreThanMinRetries()

#### maxRetriesExceeded

    public boolean maxRetriesExceeded()

#### socketOrConnectTimeoutReached

    public boolean socketOrConnectTimeoutReached()

#### getCanceling

    public AtomicBoolean getCanceling()

#### setCanceling

    public void setCanceling​(AtomicBoolean canceling)

#### isIncludeRequestGuid

    public boolean isIncludeRequestGuid()

#### setIncludeRequestGuid

    public void setIncludeRequestGuid​(boolean includeRequestGuid)

#### isWithoutCookies

    public boolean isWithoutCookies()

#### setWithoutCookies

    public void setWithoutCookies​(boolean withoutCookies)

#### isInjectSocketTimeout

    public int isInjectSocketTimeout()

#### setInjectSocketTimeout

    public void setInjectSocketTimeout​(int injectSocketTimeout)

#### getInjectSocketTimeout

    public int getInjectSocketTimeout()

#### isIncludeRetryParameters

    public boolean isIncludeRetryParameters()

#### isUnpackResponse

    public boolean isUnpackResponse()

#### setUnpackResponse

    public void setUnpackResponse​(boolean unpackResponse)

#### setIncludeRetryParameters

    public void setIncludeRetryParameters​(boolean includeRetryParameters)

#### isSkipRetriesBecauseOf200

    public boolean isSkipRetriesBecauseOf200()

#### setSkipRetriesBecauseOf200

    public void setSkipRetriesBecauseOf200​(boolean skipRetriesBecauseOf200)